﻿using ProtoBuf;

namespace TestProject;

/// <summary>
/// 메시지
/// </summary>
[ProtoContract]
public class Message
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 메시지 ID - MessageID

    /// <summary>
    /// 메시지 ID
    /// </summary>
    [ProtoMember(1)]
    public string MessageID { get; set; }

    #endregion
    #region 우선 순위 - Priority

    /// <summary>
    /// 우선 순위
    /// </summary>
    [ProtoMember(2)]
    public int Priority { get; set; }

    #endregion
    #region 텍스트 - Text

    /// <summary>
    /// 텍스트
    /// </summary>
    [ProtoMember(3)]
    public string Text { get; set; }

    #endregion
}